Bulk Create Organization Networks
post
/v1/uwaas/orgs/{orgId}/organization-networks
Create one to ten organization-network configurations synchronously for the organization identified by external `orgId`. For each organization-network, existing resources referenced by the configuration must already exist within the system.
Request
Path Parameters
-
orgId(required): string
External organization identifier.Example:
org-founder-bank
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
items(required): array
items
Minimum Number of Items:
1Maximum Number of Items:10
Nested Schema : items
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
10Nested Schema : CreateOrganizationNetworkRequest
Type:
Show Source
object-
accessType(required): string
Allowed Values:
[ "INSTANCE", "GLOBAL" ]Example:INSTANCE -
blockchainType(required): string
Maximum Length:
64Example:BESU -
chainId(required): string
Maximum Length:
128Example:1500 -
instanceId(required): string
Maximum Length:
255Example:4fb56966-7646-487b-9a5f-747162e919fd-org8 -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]Example:ACTIVE
Response
Supported Media Types
- application/json
201 Response
Organization networks created successfully.
Nested Schema : OrganizationNetworkResponse
Type:
Show Source
object-
accessType(required): string
Allowed Values:
[ "INSTANCE", "GLOBAL" ]Example:INSTANCE -
blockchainType(required): string
Maximum Length:
64Example:BESU -
chainId(required): string
Maximum Length:
128Example:1337 -
createdAt: string
(date-time)
-
createdBy: string
Example:
system -
instanceId(required): string
Example:
besu-instance-1 -
organizationNetworkId(required): integer
(int64)
Example:
1 -
orgId(required): string
External organization identifier from orgId.Example:
default_org -
rpcProxyUrl(required): string
Maximum Length:
500Example:http://rpc-proxy.default.svc:8545 -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]Example:ACTIVE -
updatedAt: string
(date-time)
-
updatedBy: string
Example:
system -
walletServiceUrl(required): string
Maximum Length:
500Example:http://obp-besu-wallet-service.default.svc:8080
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
403 Response
Forbidden.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
409 Response
Organization network already exists.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z